Loading...
Searching...
No Matches
caf::logger::config Struct Reference

Combines various logging-related flags and parameters into a bitfield. More...

`#include <logger.hpp>`

## Public Attributes

unsigned | verbosity: 4
| Stores max(file_verbosity, console_verbosity).
unsigned | file_verbosity: 4
| Configures the verbosity for file output.
unsigned | console_verbosity: 4
| Configures the verbosity for console output.
bool | inline_output: 1
| Configures whether the logger immediately writes its output in the calling thread, bypassing its queue.
bool | console_coloring: 1
| Configures whether the logger generates colored output.

## Detailed Description

Combines various logging-related flags and parameters into a bitfield.

## Member Data Documentation

## inline_output

bool caf::logger::config::inline_output

Configures whether the logger immediately writes its output in the calling thread, bypassing its queue.

Use this option only in single-threaded test environments.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/logger.hpp